Subject: Re: [bug#35810] [PATCH] Add RMassBank (r-massbank) [CLOSING THIS ONE]

From: Todor Kondić <[email-masked]>
Date: Sun, 07 Jul 2019 07:06:24 +0000

Too much time has passed and the number of mass spec packages in our channel https://git-r3lab.uni.lu/eci/eci-pkg-menu.git grew. Will issue a new patch request once I am sure how to integrate so many packages at once into guix.

Thanks,
Todor

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Friday, 24 May 2019 17:59, Ludovic Courtès <[email-masked]> wrote:

> Hello Todor,
>
> Tk [email-masked] skribis:
>
> > Some of us at ECI (Environmental Cheminformatics), LCSB, University of Luxembourg
> > are in love with Scheme, GNU, Guile and Guix.
>
> Heh, cool. :-)
>
> > At ECI, there is a lot of mass spectrometry going on and there are plenty of
> > R tools -- some written by us -- to analyse and annotate such spectra. Anyway,
> > this is our first contribution to Guix -- RMassBank (r-massbank package).
> > I have decided to create a separate package group for mass-spectrometry and
> > include r-massbank in it. I could imagine packages defined here to end up in
> > chemistry.scm, or under a new subpath, chemistry/mass-spectrometry.scm. Once
> > this first submission enters Guix, some more will follow.
> > The packages themselves have been generated using
> > `guix import cran -r --archive=bioconductor RMassBank` and minimally altered
> > to build successfully and not bother guix lint too much.
>
> Looks good to me. Ricardo, WDYT?
>
> > As this is my first contribution to guix, I am very much looking forward
> > to feedback.
>
> The file is OK as-is, but could you send directly the output of ‘git
> format-patch’? That makes it easier for us to apply the patch while
> preserving authorship information.
>
> Also, bonus points if you can come up with a commit log that follows our
> conventions. :-)
>
> https://www.gnu.org/software/guix/manual/en/html_node/Submitting-Patches.html
>
> Anyway, glad to see more scientists join! You might be interested in
> https://guix-hpc.bordeaux.inria.fr/ too.
>
> Welcome!
>
> Thanks,
> Ludo’.